# Importada de Alpine aports (Etapa G) — de-Alpinizada. tllist es header-only (familia foot),
# dep de fcft/foot. Sólo instala tllist.h + tllist.pc. meson, sin binario.
name    = "tllist"
version = "1.1.0"

[source]
tarball = "https://codeberg.org/dnkl/tllist/archive/1.1.0.tar.gz"
sha256  = "0e7b7094a02550dd80b7243bcffc3671550b0f1d8ba625e4dff52517827d5d23"

[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"

[build.phases]
configure = "PYTHONPATH=/usr/lib/python3.12/site-packages meson setup output --prefix=/usr --buildtype=release -Db_lto=false"
compile   = "PYTHONPATH=/usr/lib/python3.12/site-packages ninja -C output"
install   = "PYTHONPATH=/usr/lib/python3.12/site-packages DESTDIR=/out meson install -C output --no-rebuild"

[deps]
build = ["meson", "samurai", "python3", "pkgconf"]
